Bug 2039618 - VM created from SAP HANA template leads to 404 page if leave one network parameter empty
Summary: VM created from SAP HANA template leads to 404 page if leave one network para...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.10.0
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-12 05:37 UTC by Guohua Ouyang
Modified: 2022-03-12 04:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-12 04:40:54 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
create vm from hana template (2.28 MB, application/octet-stream)
2022-01-12 05:37 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10866 0 None open Bug 2039618: Add validations to SAP HANA 2022-01-17 18:01:46 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-12 04:41:06 UTC

Description Guohua Ouyang 2022-01-12 05:37:31 UTC
Created attachment 1850256 [details]
create vm from hana template

Description of problem:
Create a VM from SAP HANA template, leave one network field empty, and then create the VM, it leads to 404 page.

Version-Release number of selected component (if applicable):
4.10.0-0.nightly-2022-01-09-195852

How reproducible:
100%

Steps to Reproduce:
1. create vm from SAP HANA template
2. clear the content of one network field
3. click create

Actual results:
no VM was created

Expected results:
either VM is created or an error shows after clicking the create button

Additional info:

Comment 1 Aviv Turgeman 2022-01-13 19:06:44 UTC
I think it would be a good idea to add validation to the form to verify all required fields are filled.
Also we should consider in case of this a required field to add the required field to the template and the verify will catch on the missing value OR
add a generate field so we can get these names by default without the option of a user deleting them, WDYT

Comment 2 Guohua Ouyang 2022-01-14 00:26:43 UTC
(In reply to aviv turgeman from comment #1)
> I think it would be a good idea to add validation to the form to verify all
> required fields are filled.
> Also we should consider in case of this a required field to add the required
> field to the template and the verify will catch on the missing value
Mark them as required field would be good and don't continue if these values are empty.

> OR add a generate field so we can get these names by default without the option
> of a user deleting them, WDYT
Actually, I'm curious about these hardcode values, are they constants or they're parameters which will be different based on how the SRIOV network is configured.

Comment 4 Guohua Ouyang 2022-01-21 02:30:25 UTC
verified on master, the field must be filled now.

Comment 8 errata-xmlrpc 2022-03-12 04:40:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.